#include <stdio.h>

#define TSEC 10

main( int argc, char *argv[] )
{
 FILE *fp;
 char *fname= NULL;
 int Timeout= TSEC;
 char buff[300];
 int n;

 if( argc < 2 ) { fprintf( stderr, "Usage: %s filename [Timeout]\n", argv[0] ); exit( -2 ); }

 fname= argv[1];
 if( argc > 2 )  Timeout= atoi( argv[2] );
 if( Timeout <= 0 )  Timeout= TSEC;


 for( n= 0; (fp= fopen( fname, "r" )) == NULL; n= 1 )
 {
  fprintf( stderr, "%s WAITING:: cannot open file: %s \n", argv[0], fname );
  fputs( "tailX ==> Nothing...\n", stdout );
  fflush( stdout );

  sleep( Timeout );
 }

 if( !n ) fseek( fp, 0, 2 );

 for( n= 0; ; n++ )
 {
  if( fgets( buff, sizeof(buff), fp ) != NULL )
  {
   fputs( buff, stdout );
   fflush( stdout );
   n= 0;
   continue;
  }

  sleep( 1 );
  if( n <= Timeout )  continue;

  fputs( "tailX ==> Nothing...\n", stdout );
  fflush( stdout );
  n= 0;
 }
}
